import React from "react";
import { Collapse, Card } from "reactstrap";
import Fontstyle from "./FontStyle/Fontstyle";
import Colors from "./FontColor/colors";
import FontSize from "./FontSize/fontsize";
import LineHeight from "./LineHeight/lineheight";
import "../style/setting.scss";
// import OptionDropdown from "../option/Dropdown";

const Setting = (props) => {
  const {
    // BookStyle,
    // onSelect,
    isOpen,
    // valueList,
    // defaultValue,
    // title,
    readyColors,
    setIsChecked,
    isChecked,
    setcolor,
    color,
    bookStyle,
    setBookStyle,
    bookOption,
  } = props;
  return (
    <>
      <Collapse isOpen={isOpen}>
        <Card>
          <nav className="nav-content">
            <nav className="nav-items">
              <Colors
                setcolor={setcolor}
                setIsChecked={setIsChecked}
                isChecked={isChecked}
                color={color}
                readyColors={readyColors}
              />
            </nav>
            <nav className="nav-items">
              <LineHeight setBookStyle={setBookStyle} bookStyle={bookStyle} />
              <FontSize setBookStyle={setBookStyle} bookStyle={bookStyle} />
              <Fontstyle
                setBookStyle={setBookStyle}
                bookStyle={bookStyle}
              />
              {/* <OptionDropdown
                title="فونت"
                defaultValue={fontFamily}
                valueList={["Nazanin", "Sans"]}
                onSelect={onSelectFontFamily}
              /> */}
            </nav>
          </nav>
        </Card>
      </Collapse>
    </>
  );
};

export default Setting;
