// components
import { useState } from "react";
import Wrapper from "components/footer/Wrapper";
import Item from "components/footer/Item";
// import MoveBtn from "components/footer/MoveBtn";
import styled from "styled-components";
import ProgressBar from "../components/footer/progressBar";
import {
  BookCloseIcon,
  BookOpenIcon,
  ScrollVerticalIcon,
  ScrollHorizontalIcon,
} from "lib/svg";

// import style
import "../components/style/footerStyle.scss";

const Footer = ({
  // title,
  nowPage,
  // totalPage,
  //viewType,
  // // onPageMove,
  CountPage,
  // onClickDirection,
  // onClickViewType,
  onBookOptionChange,
  bookOption,
}: Props) => {
  //desctop setting
  const [mode, setdesctopIsActive] = useState(2);
  //desctop fnc
  const desctopTwoPageHandler = () => {
    setdesctopIsActive(2);
    onBookOptionChange({
      ...bookOption,
      flow: "paginated",
      spread: "auto",
    });
  };
  const desctopSinglePageHandler = () => {
    setdesctopIsActive(1);
    onBookOptionChange({
      ...bookOption,
      flow: "paginated",
      spread: "none",
    });
  };
  const desctopScrollPageHandler = () => {
    setdesctopIsActive(0);
    onBookOptionChange({
      ...bookOption,
      flow: "scrolled-doc",
      spread: "none",
    });
  };

  //mobile fnc
  const mobilePageHandler = () => {
    setdesctopIsActive(1);
    onBookOptionChange({
      ...bookOption,
      flow: "paginated",
      spread: "none",
    });
  };
  const mobileScrollPageHandler = () => {
    setdesctopIsActive(0);
    onBookOptionChange({
      ...bookOption,
      flow: "scrolled-doc",
      spread: "none",
    });
  };

  let isMobile = window.innerWidth <= 768;
  const color = {
    notactive: "#221",
    active: "#fff",
  };
  return (
    <nav
      className="nav-footer"
      // style={{display: isMobile?"":"flex"   }}
    >
      <nav className="footer-item">
        <>
          <nav className="nav-footer-item" id="toggler">
            <Item text={`${CountPage} / ${101}`} />
          </nav>
          <nav style={{ direction: "rtl", flex: 1 }}>
            <ProgressBar value={CountPage} max={100} />
          </nav>
          {isMobile ? (
            // --------- Mobile
            <>
              <nav
                onClick={mobilePageHandler}
                className={`icon ${mode >= 1 ? "active" : ""} ms-3`}
              >
                <BookCloseIcon
                  color={mode >= 1 ? color.active : color.notactive}
                  onClick={() =>
                    onBookOptionChange({
                      ...bookOption,
                      flow: "scrolled-doc",
                    })
                  }
                />
              </nav>
              <nav
                onClick={() => mobileScrollPageHandler()}
                className={`icon ${mode == 0 ? "active" : ""}`}
              >
                <ScrollVerticalIcon
                  color={mode == 0 ? color.active : color.notactive}
                />
              </nav>
            </>
          ) : (
            // --------- Desctop
            <>
              <nav
                onClick={desctopTwoPageHandler}
                className={`icon ${mode === 2 ? "active" : ""} ms-3`}
              >
                <BookOpenIcon
                  color={mode === 2 ? color.active : color.notactive}
                />
              </nav>
              <nav
                onClick={desctopSinglePageHandler}
                className={`icon ${mode === 1 ? "active" : ""}`}
              >
                <BookCloseIcon
                  color={mode === 1 ? color.active : color.notactive}
                />
              </nav>
              <nav
                onClick={desctopScrollPageHandler}
                className={`icon ${mode === 0 ? "active" : ""}`}
              >
                <ScrollVerticalIcon
                  color={mode === 0 ? color.active : color.notactive}
                />
              </nav>
            </>
          )}
        </>
      </nav>
      <Button>خرید کتاب</Button>
    </nav>
  );
};

const Button = styled.button`
  width: 100%;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2px 2rem;
  color: #fff;
  font-family: inherit;
  background-color: rgb(0, 154, 168);
`;

interface Props {
  onBookOptionChange: any;
  onClickViewType: any;
  onClickDirection: any;
  title: string;
  nowPage: number;
  totalPage: number;
  CountPage: number;
  bookOption: any;
  viewType: any;
  color?: any;
  onPageMove: (type: "PREV" | "NEXT") => void;
}

export default Footer;

// const WrapperBtn = styled.div`
//   position: fixed;
//   left: 0;
//   top: 60px;
//   width: 100%;
//   height: 100%;
//   display: flex;
//   align-items: center;
//   justify-content: space-between;
// `;

{
  /* <nav className="nav-icon">

                <div className="display-icon" style={{ cursor: "pointer" }}>
                  <nav
                    style={{ width: "65px", marginLeft: "1rem", display: "flex" }}
                  >
                    <nav
                      style={{
                        width: "65px",
                      }}
                      className={`${viewType.spread ? "active" : ''}`}
                    >
                      <BookOpenIcon onClick={() => !scrollToggle ? onClickViewType(true) : null} />
                    </nav>
                    <nav
                      style={{
                        width: "65px",
                      }}
                      className={`${!viewType.spread ? "active" : ''}`}
                    >
                      <BookCloseIcon onClick={() => onClickViewType(false)} />
                    </nav>

                    <nav
                      style={{ width: "65px" }}
                      onClick={() => setScrollToggle(!scrollToggle)}
                    >
                      <ScrollVerticalIcon
                        onClick={() =>
                          onBookOptionChange({
                            ...bookOption,
                            flow: "paginated",
                          })
                        }
                      />
                    </nav>

                    <nav
                      style={{ width: "65px" }}
                      onClick={() => !viewType.spread ? setScrollToggle(!scrollToggle) : setScrollToggle(false)}
                    >
                      <ScrollHorizontalIcon
                        onClick={() =>
                          onBookOptionChange({
                            ...bookOption,
                            flow: "scrolled-doc",
                          })
                        }
                      />
                    </nav>

                  </nav>
                </div>

              </nav>
           */
}

// const [settingIcons, setSettingIcons] = useState({
//   scroll: 0,
//   onePage: 0,
//   twoPage: 0,
//   noscroll: 0,
// });

// const changeActiveHandler = () => {
//   if (toggleIcon === 1) {
//     setSettingIcons({
//       ...settingIcons,
//       noscroll: 1,
//     });
//   } else if (toggleIcon === 2) {
//     setSettingIcons({
//       ...settingIcons,
//       scroll: 1,
//     });
//   }
// };

// const [active, setActive] = useState(1);
// const [toggleIcon, setToggleIcon] = useState(false);
// const onToggle = () => {
//   if (active === 1 || 2) {
//     setActive(3);
//   }
//   setToggleIcon(false);
// };
